import { ValidationController } from 'aurelia-validation';
import { BindingEngine } from 'aurelia-framework';
import { ImportColumnMapping, ImportService, ImportSession } from "../../service/import-service";
export declare class ImportStep3 {
    private importService;
    private bindingEngine;
    private validationController;
    listService: any;
    session: ImportSession;
    newStep: any;
    cancelSession: any;
    configView: any;
    private columnsMapping;
    private columns;
    private ImportDefaultValueType;
    private nbMappingRequiredNotValid;
    private separatorDisabled;
    random: number;
    constructor(importService: ImportService, bindingEngine: BindingEngine, validationController: ValidationController);
    private fuse;
    private fuseOption;
    blurDefaultValue(mapping: ImportColumnMapping, uiSelect: any): void;
    blurCloseUiSelect(uiSelect: any): void;
    bind(): Promise<void>;
    confirm(): Promise<void>;
    getTemplate(mapping: ImportColumnMapping): string;
}
